#-------------------------------------------------------------------------
# eingabe_mit_for.py
#-------------------------------------------------------------------------
# Lies einen Dateinamen von der Kommandozeile,
# lies die Datei zeilenweise mit einer for-Schleife ein,
# und gib jede Zeile durchnummeriert aus.
#-------------------------------------------------------------------------
import sys

# Öffne die Datei mit dem auf der Kommandozeile eingegebenen Namen.
eingabeDatei = open(sys.argv[1],'r')

# Lies die Datei zeilenweise ein und zähle die gelesenen Zeilen.
# Gib jede Zeile mit diesem Zähler aus.
zaehler = 0
for zeile in eingabeDatei:
  print(zaehler, zeile)
  zaehler += 1

# Schließe die Datei.
eingabeDatei.close()

#--------------------------------------------------------------------------
# mundhenk@home: cat www.txt 
# 4232353344
# 5323211464
# 3542642624
# 2432232264
# 21mundhenk@home: python3 eingabe_mit_for.py www.txt 
# 0 4232353344
# 
# 1 5323211464
#
# 2 3542642624
# 
# 3 2432232264
# 
# 4 21
# mundhenk@home: 

