#-------------------------------------------------------------------------
# eingabe_mit_readline.py
#-------------------------------------------------------------------------
# Lies einen Dateinamen von der Kommandozeile,
# lies die Datei mit readline() ein,
# und gib sie aus.
#-------------------------------------------------------------------------
import sys

# Lies einen Dateinamen (string) von der Kommandozeile. 
dateiname = sys.argv[1]

# Öffne die Datei zum Lesen.
eingabeDatei = open(dateiname,'r')

# Lies die Datei zeilenweise. 
# Die zuletzt gelesene Zeile wird in s gespeichert.
# Wenn s=='', dann ist das Ende der Datei erreicht worden
#   und das Lesen wird beendet.
# Es wird ein Zähler für die eingelesenen Zeilen mitgeführt.
# Jede Zeile wird mit dem Zähler ausgegeben.
s = eingabeDatei.readline()
zaehler = 0
while s!='':
  print(zaehler, s)
  zaehler += 1
  s = eingabeDatei.readline()

# Schließe die Datei.
eingabeDatei.close()

#--------------------------------------------------------------------------
# mundhenk@home: cat www.txt 
# 4232353344
# 5323211464
# 3542642624
# 2432232264
# 21mundhenk@home: python3 eingabe_mit_readline.py www.txt 
# 0 4232353344
#
# 1 5323211464
#  
# 2 3542642624
#  
# 3 2432232264
#  
# 4 21 2
# mundhenk@home: 
