#-------------------------------------------------------------------------
# eingabe_von_stdin.py
#-------------------------------------------------------------------------
# Lies die Eingabe von der Tastatur zeilenweise,
# und gib sie zeilenweise aus.
#-------------------------------------------------------------------------
import sys

# Öffne die Datei mit dem auf der Kommandozeile eingegebenen Namen.
eingabeDatei = sys.stdin

# Lies die Datei zeilenweise ein und zähle die gelesenen Zeilen.
# Gib jede Zeile mit diesem Zähler aus.
zaehler = 0
for zeile in eingabeDatei:
  print(zaehler, zeile)
  zaehler += 1

# Schließe die Datei.
eingabeDatei.close()

#--------------------------------------------------------------------------
# mundhenk@home: python3 eingabe_von_stdin.py < www.txt
# 0 4232353344
#
# 1 5323211464
#
# 2 3542642624
# 
# 3 2432232264
# 
# 4 21
# mundhenk@home: python3 eingabe_von_stdin.py
# Diese Eingabe ist von der Tastatur.
# 0 Diese Eingabe ist von der Tastatur.
# 
# Am Ende der Eingabe schreibt man <Strg+d>.                                    
# 1 Am Ende der Eingabe schreibt man <Strg+d>.
# 
# Das mache ich nach dieser Zeile.
# 2 Das mache ich nach dieser Zeile.
# 
# mundhenk@home:

