#-------------------------------------------------------------------------
# ausgabe_mit_print.py
#-------------------------------------------------------------------------
# Lies n und einen Dateinamen von der Kommandozeile
# und gib n Würfe mit einem Würfel in die Datei mit dem Dateinamen aus.
# Jeder Wurf steht in einer Zeile.
#-------------------------------------------------------------------------

import sys, random

# Lies int n und str dateiname von der Kommandozeile. 
n = int(sys.argv[1])
dateiname = sys.argv[2]

# Öffne die Datei dateiname zum Schreiben ('w'), d.h. als Ausgabedatei.
ausgabeDatei = open(dateiname, 'w')

# Schreibe n Würfelergebnisse als Strings in die Ausgabedatei.
for i in range(n):
  wurf = random.randint(1,6)
  print(wurf, file=ausgabeDatei)

# Schließe die Ausgabedatei.
ausgabeDatei.close()

#--------------------------------------------------------------------------
# python3 ausgabe_mit_print.py 12 www.txt
# cat www.txt 
# 5
# 5
# 3
# 1
# 4
# 4
# 3
# 1
# 2
# 5
# 4
# 5
# 

