#-------------------------------------------------------------------------
# ausgabe_mit_write.py
#-------------------------------------------------------------------------
# Lies n und einen Dateinamen von der Kommandozeile
# und gib n Würfe mit einem Würfel in die Datei mit dem Dateinamen aus.
# In jeder Zeile der Datei sollen 10 Würfe stehen.
#-------------------------------------------------------------------------

import sys, random

# Lies int n und str dateiname von der Kommandozeile. 
n = int(sys.argv[1])
dateiname = sys.argv[2]

# Öffne die Datei dateiname zum Schreiben ('w'), d.h. als Ausgabedatei.
ausgabeDatei = open(dateiname, 'w')

# Schreibe n Würfelergebnisse als Strings in die Ausgabedatei.
for i in range(n):
  wurf = random.randint(1,6)
  ausgabeDatei.write(str(wurf))
  if (i+1)%10==0:
     ausgabeDatei.write('\n')

# Schließe die Ausgabedatei.
# ausgabeDatei.close()

#--------------------------------------------------------------------------
# python3 ausgabe_mit_write 12 www.txt
# cat www.txt 
# 5233616125
# 35#

